REM    ,  ;  

set echo on
connect SYSTEM/MANAGER@SKU_ARLN;

rem   SKUREAD, SKUWRITE
spool D:\DATABASE\SKUTOR\LOG\CROLE
CREATE ROLE SKUREAD NOT IDENTIFIED;
CREATE ROLE SKUWRITE NOT IDENTIFIED;
spool off

spool D:\DATABASE\SKUTOR\LOG\CUSER

rem  .,     .  
CREATE USER SkuARLN IDENTIFIED BY ARLN
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO SkuARLN;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO SkuARLN;
REVOKE UNLIMITED TABLESPACE FROM SkuARLN;

rem  . ,      
CREATE USER Ivanov IDENTIFIED BY Ivan
DEFAULT TABLESPACE USR
TEMPORARY TABLESPACE TEMPORARY
QUOTA 16M ON USR
QUOTA 16M ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO Ivanov;
GRANT SKUREAD, SKUWRITE TO Ivanov;
REVOKE UNLIMITED TABLESPACE FROM Ivanov;

rem      ...
CREATE USER SkuOTE IDENTIFIED BY OTE
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOTE;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOTE;

rem      ...
CREATE USER SkuOGM IDENTIFIED BY OGM
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOGM;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOGM;

rem      ...
CREATE USER SkuOGE IDENTIFIED BY OGE
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOGE;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOGE;

rem     ... ( TO)
CREATE USER SkuMET IDENTIFIED BY MET
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuMET;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuMET;

rem    
rem     .   
CREATE USER SKUOCEN IDENTIFIED BY OCENKA
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SKUOCEN;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO SKUOCEN;
REVOKE UNLIMITED TABLESPACE FROM SKUOCEN;

rem     ( ADMIN)
rem     .   
CREATE USER OPERATIV IDENTIFIED BY OPERATIV
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO OPERATIV;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO OPERATIV;
REVOKE UNLIMITED TABLESPACE FROM OPERATIV;

rem    ...
CREATE USER REPADMIN IDENTIFIED BY ADMINREP
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, DBA TO REPADMIN;
rem   
REVOKE UNLIMITED TABLESPACE FROM REPADMIN;

rem   ,     .  
CREATE USER SkuUFA3 IDENTIFIED BY UFA3
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO SkuUFA3;
GRANT SKUREAD, SKUWRITE TO SkuUFA3;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO SkuUFA3;
rem REVOKE UNLIMITED TABLESPACE FROM SkuUFA3;

rem    SYS  SYSTEM
ALTER USER SYS IDENTIFIED BY SYSARLN;
ALTER USER SYSTEM IDENTIFIED BY ADMARLN;

spool off

rem  
spool D:\DATABASE\SKUTOR\LOG\CDBL

/*
connect SKUARLN/ARLN@SKU_ARLN
DROP DATABASE LINK UFA3;
CREATE DATABASE LINK UFA3
CONNECT TO SKUUFA3
IDENTIFIED BY UFA3
USING 'UFA3';

connect SKUUFA3/UFA3@UFA3
DROP DATABASE LINK SKU_ARLN;
CREATE DATABASE LINK SKU_ARLN
CONNECT TO SKUARLN
IDENTIFIED BY ARLN
USING 'SKU_ARLN';
*/

connect REPADMIN/ADMINREP@SKU_ARLN
DROP DATABASE LINK UFA3;
CREATE DATABASE LINK UFA3
CONNECT TO REPADMIN
IDENTIFIED BY ADMINREP
USING 'UFA3';

spool off

set echo off
